import { type GlyphName } from '@mongodb-js/compass-components';
import React from 'react';
import type { EditorView } from '@codemirror/view';
export type Action = {
    icon: GlyphName;
    label: string;
    action: (editor: EditorView) => boolean | void;
};
export declare const ActionButton: React.FunctionComponent<{
    icon: string | React.ReactNode;
    label: string;
    onClick?: (...args: Parameters<React.MouseEventHandler<HTMLButtonElement>>) => boolean | void;
    'data-testid'?: string;
    compact?: boolean;
}>;
export declare const FormatIcon: ({ size, ...props }: React.SVGProps<SVGSVGElement> & {
    size?: number | undefined;
}) => React.JSX.Element;
//# sourceMappingURL=action-button.d.ts.map